package com.yame.uml.model;

public enum ResultType {
    Success("Success", 1), 
    Source2PNG("Source2PNG", 101),
    Source2SVG("Source2SVG", 102),
    
    Error("Error", 0),
    ErrorSource2PNG("Error Source2PNG: source format is erorr", -101),
    ErrorSource2SVG("Error Source2SVG: source format is erorr", -102),
    ;

    private String status;
    private int code;

    private ResultType(String status, int code) {
        this.status = status;
        this.code = code;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }
}